Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.util.config
Class ArrayConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.ArrayConfigOption

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DirArrayConfigOption, IntegerArrayConfigOption, RegexArrayConfigOption, StringArrayConfigOption

public abstract class ArrayConfigOption
extends ConfigOption

A class that provides multi-valued config options.

See Also:
  Serialized Form

Constructor Summary
`protected` | `ArrayConfigOption()` Should only be used by serializer/deserializer
`` | `ArrayConfigOption(net.hyperic.util.config.OptionTransport transport)`
`` | `ArrayConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue, char delim)` Create a new ArrayConfigOption

Method Summary
`char` | `getDelim()`
`protected net.hyperic.util.config.OptionTransport` | `getTransport(java.lang.String className)`
`void` | `setDelim(char delim)` Option properties

Methods inherited from class net.hyperic.util.config.ConfigOption
`checkOptionIsValid, equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayConfigOption

    protected ArrayConfigOption()

  Should only be used by serializer/deserializer

### ArrayConfigOption

    public ArrayConfigOption(java.lang.String optName,
                             java.lang.String optDesc,
                             java.lang.String defValue,
                             char delim)

  Create a new ArrayConfigOption

Parameters:
  `optName` - The name of the option.
  `optDesc` - The description of the option.
  `defValue` - The default value of the option.
  `delim` - The character to use to delimit each entry in the array when rendering or interpreting it as a single String

### ArrayConfigOption

    public ArrayConfigOption(net.hyperic.util.config.OptionTransport transport)
                      throws net.hyperic.util.config.EncodingException

Method Detail

### getTransport

    protected net.hyperic.util.config.OptionTransport getTransport(java.lang.String className)

  Overrides:
    `getTransport` in class `ConfigOption`

### setDelim

    public void setDelim(char delim)

  Option properties

### getDelim

    public char getDelim()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.